Bug 6344 - 5a5dcd125fe23 in v3-3-test is buggy
5a5dcd125fe23 in v3-3-test is buggy
Status: RESOLVED FIXED
Product: Samba 3.3
Classification: Unclassified
Component: File services
unspecified
Other Linux
: P3 regression
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-09 03:37 UTC by Volker Lendecke
Modified: 2009-07-29 05:47 UTC (History)
0 users

See Also:


Attachments
patch for 3.3 (3.87 KB, patch)
2009-05-09 03:39 UTC, Volker Lendecke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2009-05-09 03:37:28 UTC
It contains an uninitialized variable read, sorry. It needs reverting and replacing with the patch that will be attached.

Volker
Comment 1 Volker Lendecke 2009-05-09 03:39:11 UTC
Created attachment 4132 [details]
patch for 3.3
Comment 2 Jeremy Allison 2009-05-12 16:44:45 UTC
Ok, I've studied this very carefully and the logic is pretty clear in what it's trying to do, I'm ok with this for 3.3. I don't see what the uninitialized variable read you are fixing was though, sorry. Could you explain that a little more ?

Thanks,

Jeremy.
Comment 3 Volker Lendecke 2009-05-13 03:46:45 UTC
The variable "mangled" in get_real_filename() is uninitialized. Even gcc complains about it. I missed that, which kindof sucks....

Volker
Comment 4 Karolin Seeger 2009-05-15 08:26:34 UTC
Pushed, thanks.